mod parser;

use crate::{par::parser::Risdok, Error};

fn fetch_page(url: &str) -> Result<String, Error> {
    Ok(ureq::get(url).call()?.into_string()?)
}

pub(crate) fn parse(url: &str) -> Result<(), Error> {
    let xml = fetch_page(url)?;
    let risdok = Risdok::from_str(&xml)?;

    Ok(())
}
